#! /bin/bash

# Borg zenity install and update
which zenity
if [ "$?" != "0" ]; then
    bash testdistro.sh || exit
fi

which borg
if [ "$?" != "0" ]; then
    bash testdistro.sh || exit
fi

mkdir -p $HOME/bin/ $HOME/.icons/ $HOME/.local/share/applications/

# copie des fichiers
cp -fv icons/borg.svg $HOME/.icons/
cp -fv icons/borgzenity-profils.svg $HOME/.icons/
cp -fv icons/borgzenity-sauvegarde.svg $HOME/.icons/

cp -fv sauvegarde-borg.desktop $HOME/.local/share/applications/
cp -fv gestprofilsborgzenity.desktop $HOME/.local/share/applications/

cp -fv borg-gui.sh $HOME/bin/
cp -fv profile-manager.sh $HOME/bin/

cp -fv borg-zenity.conf $HOME/.config/borg/

# réglages des droits
chmod 700 $HOME/bin/borg-gui.sh
chmod 700 $HOME/bin/profile-manager.sh

echo "--------------------"
echo "Installation terminée."
